<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: NutritionalProfile Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/de5/class_nutritional_profile.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">NutritionalProfile Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7db7f6793eaf3682197a841e176faa57"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a7db7f6793eaf3682197a841e176faa57">NutritionalProfile</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> energy, <a class="el" href="../../d4/dc3/classfloat.html">float</a> water_content, <a class="el" href="../../d4/dc3/classfloat.html">float</a> nutritional_index, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fullness_index, <a class="el" href="../../d4/dc3/classfloat.html">float</a> toxicity, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> agents, <a class="el" href="../../d4/dc3/classfloat.html">float</a> digestibility)</td></tr>
<tr class="separator:a7db7f6793eaf3682197a841e176faa57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e27dcd95f7f4b383953e07d6f5166b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a2e27dcd95f7f4b383953e07d6f5166b7">MarkAsLiquid</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> classname)</td></tr>
<tr class="separator:a2e27dcd95f7f4b383953e07d6f5166b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6aaea739f3a3508b208702967b9cc0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a8a6aaea739f3a3508b208702967b9cc0">GetAgents</a> ()</td></tr>
<tr class="separator:a8a6aaea739f3a3508b208702967b9cc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0a18aec25ee55597d4f5b1891082832"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#aa0a18aec25ee55597d4f5b1891082832">GetLiquidType</a> ()</td></tr>
<tr class="separator:aa0a18aec25ee55597d4f5b1891082832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeee6e58ab008034cd49fd67974874722"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#aeee6e58ab008034cd49fd67974874722">GetLiquidClassname</a> ()</td></tr>
<tr class="separator:aeee6e58ab008034cd49fd67974874722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4221d7aaac68a689e274bc365ceaafa4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a4221d7aaac68a689e274bc365ceaafa4">IsLiquid</a> ()</td></tr>
<tr class="separator:a4221d7aaac68a689e274bc365ceaafa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd99130b6d8e66e78c1789b26e10c77"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a9cd99130b6d8e66e78c1789b26e10c77">GetEnergy</a> ()</td></tr>
<tr class="separator:a9cd99130b6d8e66e78c1789b26e10c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8035f35bae47ebd93c1a37b45fc6bd1a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a8035f35bae47ebd93c1a37b45fc6bd1a">GetWaterContent</a> ()</td></tr>
<tr class="separator:a8035f35bae47ebd93c1a37b45fc6bd1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30f4bd32c893e4741c3f2fc696320d74"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a30f4bd32c893e4741c3f2fc696320d74">GetNutritionalIndex</a> ()</td></tr>
<tr class="separator:a30f4bd32c893e4741c3f2fc696320d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958f47f8bfc51fe57ae0888ccd83570a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a958f47f8bfc51fe57ae0888ccd83570a">GetFullnessIndex</a> ()</td></tr>
<tr class="separator:a958f47f8bfc51fe57ae0888ccd83570a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf629292e146634586cad9af78315137"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#aaf629292e146634586cad9af78315137">GetToxicity</a> ()</td></tr>
<tr class="separator:aaf629292e146634586cad9af78315137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a787aeb228bd11dc2029ec997e8b8bf51"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a787aeb228bd11dc2029ec997e8b8bf51">GetDigestibility</a> ()</td></tr>
<tr class="separator:a787aeb228bd11dc2029ec997e8b8bf51"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6d6483ebc75b49d14e2edef6b22440b9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a6d6483ebc75b49d14e2edef6b22440b9">m_Energy</a></td></tr>
<tr class="separator:a6d6483ebc75b49d14e2edef6b22440b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44314a52143a76145c5e2035f73437be"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a44314a52143a76145c5e2035f73437be">m_WaterContent</a></td></tr>
<tr class="separator:a44314a52143a76145c5e2035f73437be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7bc2c6e752392310158000816015e7c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#ae7bc2c6e752392310158000816015e7c">m_NutritionalIndex</a></td></tr>
<tr class="separator:ae7bc2c6e752392310158000816015e7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b665edd317097230cda054ed2acb616"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a4b665edd317097230cda054ed2acb616">m_FullnessIndex</a></td></tr>
<tr class="separator:a4b665edd317097230cda054ed2acb616"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dfe4f293d800ca2027ad9660cfb8bf2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a5dfe4f293d800ca2027ad9660cfb8bf2">m_Toxicity</a></td></tr>
<tr class="separator:a5dfe4f293d800ca2027ad9660cfb8bf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a294e643a5a6c8e72536cb69300ce716a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a294e643a5a6c8e72536cb69300ce716a">m_LiquidType</a></td></tr>
<tr class="separator:a294e643a5a6c8e72536cb69300ce716a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81cbf51cfdd06a4fe6e9fcdd54168a8f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a81cbf51cfdd06a4fe6e9fcdd54168a8f">m_Agents</a></td></tr>
<tr class="separator:a81cbf51cfdd06a4fe6e9fcdd54168a8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49c07007c0b45ddd19483f630fb99710"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a49c07007c0b45ddd19483f630fb99710">m_LiquidClassname</a></td></tr>
<tr class="separator:a49c07007c0b45ddd19483f630fb99710"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12aa6abb617466596fe2b2ee6a84daf3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de5/class_nutritional_profile.html#a12aa6abb617466596fe2b2ee6a84daf3">m_Digestibility</a></td></tr>
<tr class="separator:a12aa6abb617466596fe2b2ee6a84daf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7db7f6793eaf3682197a841e176faa57" name="a7db7f6793eaf3682197a841e176faa57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7db7f6793eaf3682197a841e176faa57">&#9670;&#160;</a></span>NutritionalProfile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void NutritionalProfile::NutritionalProfile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>water_content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>nutritional_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fullness_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>toxicity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>agents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>digestibility</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00013">13</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8a6aaea739f3a3508b208702967b9cc0" name="a8a6aaea739f3a3508b208702967b9cc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a6aaea739f3a3508b208702967b9cc0">&#9670;&#160;</a></span>GetAgents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> NutritionalProfile::GetAgents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00030">30</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a787aeb228bd11dc2029ec997e8b8bf51" name="a787aeb228bd11dc2029ec997e8b8bf51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a787aeb228bd11dc2029ec997e8b8bf51">&#9670;&#160;</a></span>GetDigestibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::GetDigestibility </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00075">75</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a9cd99130b6d8e66e78c1789b26e10c77" name="a9cd99130b6d8e66e78c1789b26e10c77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cd99130b6d8e66e78c1789b26e10c77">&#9670;&#160;</a></span>GetEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::GetEnergy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00050">50</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a958f47f8bfc51fe57ae0888ccd83570a" name="a958f47f8bfc51fe57ae0888ccd83570a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a958f47f8bfc51fe57ae0888ccd83570a">&#9670;&#160;</a></span>GetFullnessIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::GetFullnessIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00065">65</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="aeee6e58ab008034cd49fd67974874722" name="aeee6e58ab008034cd49fd67974874722"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeee6e58ab008034cd49fd67974874722">&#9670;&#160;</a></span>GetLiquidClassname()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> NutritionalProfile::GetLiquidClassname </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00040">40</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="aa0a18aec25ee55597d4f5b1891082832" name="aa0a18aec25ee55597d4f5b1891082832"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0a18aec25ee55597d4f5b1891082832">&#9670;&#160;</a></span>GetLiquidType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> NutritionalProfile::GetLiquidType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00035">35</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a30f4bd32c893e4741c3f2fc696320d74" name="a30f4bd32c893e4741c3f2fc696320d74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30f4bd32c893e4741c3f2fc696320d74">&#9670;&#160;</a></span>GetNutritionalIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::GetNutritionalIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00060">60</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="aaf629292e146634586cad9af78315137" name="aaf629292e146634586cad9af78315137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf629292e146634586cad9af78315137">&#9670;&#160;</a></span>GetToxicity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::GetToxicity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00070">70</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a8035f35bae47ebd93c1a37b45fc6bd1a" name="a8035f35bae47ebd93c1a37b45fc6bd1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8035f35bae47ebd93c1a37b45fc6bd1a">&#9670;&#160;</a></span>GetWaterContent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::GetWaterContent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00055">55</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a4221d7aaac68a689e274bc365ceaafa4" name="a4221d7aaac68a689e274bc365ceaafa4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4221d7aaac68a689e274bc365ceaafa4">&#9670;&#160;</a></span>IsLiquid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> NutritionalProfile::IsLiquid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00045">45</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a2e27dcd95f7f4b383953e07d6f5166b7" name="a2e27dcd95f7f4b383953e07d6f5166b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e27dcd95f7f4b383953e07d6f5166b7">&#9670;&#160;</a></span>MarkAsLiquid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void NutritionalProfile::MarkAsLiquid </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>classname</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00024">24</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a81cbf51cfdd06a4fe6e9fcdd54168a8f" name="a81cbf51cfdd06a4fe6e9fcdd54168a8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81cbf51cfdd06a4fe6e9fcdd54168a8f">&#9670;&#160;</a></span>m_Agents</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> NutritionalProfile::m_Agents</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00009">9</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a12aa6abb617466596fe2b2ee6a84daf3" name="a12aa6abb617466596fe2b2ee6a84daf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12aa6abb617466596fe2b2ee6a84daf3">&#9670;&#160;</a></span>m_Digestibility</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::m_Digestibility</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a6d6483ebc75b49d14e2edef6b22440b9" name="a6d6483ebc75b49d14e2edef6b22440b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d6483ebc75b49d14e2edef6b22440b9">&#9670;&#160;</a></span>m_Energy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::m_Energy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a4b665edd317097230cda054ed2acb616" name="a4b665edd317097230cda054ed2acb616"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b665edd317097230cda054ed2acb616">&#9670;&#160;</a></span>m_FullnessIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::m_FullnessIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00006">6</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a49c07007c0b45ddd19483f630fb99710" name="a49c07007c0b45ddd19483f630fb99710"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49c07007c0b45ddd19483f630fb99710">&#9670;&#160;</a></span>m_LiquidClassname</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> NutritionalProfile::m_LiquidClassname</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00010">10</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a294e643a5a6c8e72536cb69300ce716a" name="a294e643a5a6c8e72536cb69300ce716a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a294e643a5a6c8e72536cb69300ce716a">&#9670;&#160;</a></span>m_LiquidType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> NutritionalProfile::m_LiquidType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00008">8</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="ae7bc2c6e752392310158000816015e7c" name="ae7bc2c6e752392310158000816015e7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7bc2c6e752392310158000816015e7c">&#9670;&#160;</a></span>m_NutritionalIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::m_NutritionalIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a5dfe4f293d800ca2027ad9660cfb8bf2" name="a5dfe4f293d800ca2027ad9660cfb8bf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dfe4f293d800ca2027ad9660cfb8bf2">&#9670;&#160;</a></span>m_Toxicity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::m_Toxicity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00007">7</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<a id="a44314a52143a76145c5e2035f73437be" name="a44314a52143a76145c5e2035f73437be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44314a52143a76145c5e2035f73437be">&#9670;&#160;</a></span>m_WaterContent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NutritionalProfile::m_WaterContent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html#l00004">4</a> of file <a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../d9/d94/_nutritional_profile_8c_source.html">NutritionalProfile.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
